import { Service } from '@/Service/Service';
/*****订单接口*****/
class CNRiderOrderService {
	private static GetRiderOrderListPath : string = '/Rider/GetRiderOrderList';
	/*****首页新订单*****/
	static GetRiderOrderList(page : number) {
		var result = Service.Request(this.GetRiderOrderListPath, "GET", {page});
		return result;
	}
	
	private static RiderTakeOrderPath : string = '/Rider/RiderTakeOrder';
	/*****骑手接单*****/
	static RiderTakeOrder(orderId : string) {
		var result = Service.Request(this.RiderTakeOrderPath, "POST", {orderId});
		return result;
	}
	
	private static GetRiderTakeOrderListPath : string = '/Rider/GetRiderTakeOrderList';
	/*****首页 待取餐/配送中*****/
	static GetRiderTakeOrderList(status: number,page : number) {
		var result = Service.Request(this.GetRiderTakeOrderListPath, "GET", {status,page});
		return result;
	}
	
	
	private static GetUnitOrderInfoPath : string = '/Order/GetUnitOrderInfo';
	/*****获取订单详情*****/
	static GetUnitOrderInfo(orderId: string) {
		var result = Service.Request(this.GetUnitOrderInfoPath, "GET", {orderId});
		return result;
	}
	
	private static UpdateRiderOrderTakePath : string = '/Rider/UpdateRiderOrderTake';
	/*****取餐*****/
	static UpdateRiderOrderTake(orderId: string,status:number) {
		var result = Service.Request(this.UpdateRiderOrderTakePath, "POST", {orderId,status});
		return result;
	}
	
	private static GetRiderAccLogPath : string = '/Rider/GetRiderAccLog';
	/*****收入列表*****/
	static GetRiderAccLog(time: string,page:number) {
		var result = Service.Request(this.GetRiderAccLogPath, "GET", {time,page});
		return result;
	}
	
	private static AddRiderWithPath : string = '/Rider/AddRiderWith';
	/*****骑手提现*****/
	static AddRiderWith(amount: number,payway:string,name:string,account:string) {
		var result = Service.Request(this.AddRiderWithPath, "POST", {amount,payway,name,account});
		return result;
	}
	
	
	private static GetRiderWithListPath : string = '/Rider/GetRiderWithList';
	/*****骑手提现列表*****/
	static GetRiderWithList(page:number) {
		var result = Service.Request(this.GetRiderWithListPath, "GET", {page});
		return result;
	}
	
	private static ApplyOrderServicePath : string = '/Rider/ApplyOrderService';
	/*****上报异常订单*****/
	static ApplyOrderService(orderId:string,type:string,remark:string,img:string) {
		var result = Service.Request(this.ApplyOrderServicePath, "POST", {orderId,type,remark,img});
		return result;
	}
	
	
	private static GetRiderOrderServiceListPath : string = '/Rider/GetRiderOrderServiceList';
	/*****上报异常订单列表*****/
	static GetRiderOrderServiceList(type:number,page:number) {
		var result = Service.Request(this.GetRiderOrderServiceListPath, "GET", {type,page});
		return result;
	}
	
	
	private static GetOrderServiceInfoPath : string = '/Order/GetOrderServiceInfo';
	/*****上报异常订单详情*****/
	static GetOrderServiceInfo(orderId:string) {
		var result = Service.Request(this.GetOrderServiceInfoPath, "GET", {orderId});
		return result;
	}
	
	
	
	private static UpdateRiderLocationPath : string = '/Rider/UpdateRiderLocation';
	/*****骑手上报位置*****/
	static UpdateRiderLocation(lon:number,lat:number) {
		var result = Service.Request(this.UpdateRiderLocationPath, "POST", {lon,lat});
		return result;
	}
	
	
	private static GetLoginOrderInfoPath : string = '/Login/GetLoginOrderInfo';
	/*****获取信息*****/
	static GetLoginOrderInfo(orderId:string) {
		var result = Service.Request(this.GetLoginOrderInfoPath, "GET", {orderId});
		return result;
	}
	
	
	
	
	
	
}
export {
	Service,
	CNRiderOrderService
}